/* HEADLINE BANNER*/

.header{
    background-color: #69512a8a;
}

.banner {
    position: relative;
    width: 100%;
    height: 80vh;
}
  
.background-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.banner .opacidade .btn-som{
    position: absolute;
    top: 80%;
    left: 95%;
    transform: translate(-50%, -50%);
    color: var(--color-neutral-50);
    border: none;
    font-size: 3rem;
    cursor: pointer;
    background-color: transparent;
}

.btn-stop {
    display: none;
    opacity: 0.7;
}

@media screen and (max-width:700px){
    .banner .opacidade .btn-som{
        left: 90%;
        font-size: 2rem;
    }

    .banner .opacidade .seta{
        font-size: 1.5rem;
    }
}

/* SOBRE O ALOJAMENTO */

section.sobre{
    display: flex;
    padding: 4rem;
    background-color: var(--color-neutral-50);
}

.informacao{
    display: flex;
    gap: 50px;
}

.informacao .txt{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.txt h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    font-family: "Merienda", sans-serif;
}

.txt p{
    color: var(--color-neutral-20);
    font-size: 18px;
}

.imagem{
    display: flex;
    justify-content: center;
    flex: 1;
}

.imagem img{
    border: 2px solid var(--color-neutral-20);
}

@media screen and (max-width:1130px){
    .txt h1{
        font-size: 40px;
    }
}

@media screen and (max-width:1050px){
    .informacao{
        flex-direction: column;
    }
}

@media screen and (max-width:700px){
    section.sobre{
        padding: 2rem;
    }
}

@media screen and (max-width:550px){
    .txt h1{
        margin-bottom: 25px;
    }

    .imagem img{
        width: 100%;
    }
}


/* QUARTOS */

section.quartos{
    display: flex;
    flex-direction: column;
    padding: 4rem;
    background-color: var(--color-neutral-50);
}

.tit h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    text-align: center;
    font-family: "Merienda", sans-serif;
}

.quartos-inicio {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    justify-content: center;
    align-items: center;
}

.quartos-inicio .quarto{
    display: flex;
    flex-direction: column;
    gap: 20px;
    min-width: 250px;
}

.quartos-inicio img{
    width: 100%;
    height: auto;
}

.quartos-inicio .txt{
    display: flex;
    flex-direction: column;
    border: 2px solid var(--color-neutral-20);
    padding: 20px;
    gap: 40px;
}

.quartos-inicio .txt h3{
    color: var(--color-neutral-20);
    font-size: 30px;
    font-family: "Merienda", sans-serif;
}

.quartos-inicio .img{
    position: relative;
}

.next, .prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 3rem;
    height: 5rem;
    background-color: #91713C;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    cursor: pointer;
}

.next i, .prev i{
    font-size: 2rem;
}

.next{
    right: 0;
}

.prev{
    left: 0;
}

@media screen and (max-width:1000px){
    section.quartos{
        padding: 2rem 1rem 2rem 1rem;
    }

    .quartos-inicio {
        display: flex;
        flex-wrap: wrap;
    }
}

@media screen and (max-width:500px){
    .tit h1{
        font-size: 40px;
        margin-bottom: 25px;
    }

    .next, .prev {
        width: 3rem;
        height: 4rem;
    }
}


section.pagina-quartos{
    display: flex;
    flex-direction: column;
    padding: 8rem 4rem 4rem 4rem;
    background-color: var(--color-neutral-50);
}

section.pagina-quartos .tit h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    text-align: center;
    font-family: "Merienda", sans-serif;
}

.container-quartos {
    display: flex;
    flex-direction: column;
    gap: 40px;
    justify-content: center;
    align-items: center;
}

.container-quartos .container-quarto{
    display: flex;
    border: 2px solid var(--color-neutral-20);
    max-height: 700px;
}

.container-quartos .container-quarto .img{
    flex: 1;
}

.container-quartos .container-quarto .txt{
    flex: 1;
}

.container-quartos img{
    width: 100%;
    height: 600px;
}

.container-quartos .txt{
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
    justify-content: center;
}

.container-quartos .txt h3{
    color: var(--color-neutral-20);
    font-size: 40px;
    font-family: "Merienda", sans-serif;
}

.txt p.texto{
    color: #B98A75;
}

.container-quartos .img{
    position: relative;
}

.container-quartos .botao{
    padding-top: 0rem;
}

.next, .prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 3rem;
    height: 5rem;
    background-color: #91713C;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    cursor: pointer;
}

.next i, .prev i{
    font-size: 2rem;
}

.next{
    right: 0;
}

.prev{
    left: 0;
}

@media screen and (max-width:1000px){
    .container-quartos .container-quarto{
        flex-direction: column;
    }

    .container-quartos img{
        width: 100%;
        height: 500px;
    }

    .container-quartos .container-quarto{
        max-height: none;
    }

    .container-quartos img{
        max-height: none;
    }
}

@media screen and (max-width:700px){
    section.pagina-quartos{
        padding: 8rem 1rem 1rem 1rem;
    }

    .container-quartos img{
        height: 350px;
    }

    .container-quartos .txt h3{
        font-size: 30px;
    }
}

@media screen and (max-width:500px){
    .next, .prev {
        width: 2.5rem;
        height: 3.5rem;
    }

    .next i, .prev i {
        font-size: 1.5rem;
    }
}


/* DEPOIMENTOS */

.depoimentos{
    background-image: url(../imagens/depoimentos.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 4rem;
    z-index: 0;
    position: relative;
}

.opacidade{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #91713ca1;
    z-index: 1;
}

div.tit{ position: relative;
    z-index: 2;
}

.testemunho{
    z-index: 2;
    margin-bottom: 20px;
}

.depoimento{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.depoimentos h1, .depoimentos h6, .depoimentos p{
    color: var(--color-neutral-50);
}

.estrelas{
    display: flex;
    gap: 5px;
}

.nome {
    font-weight: bold;
}

@media screen and (max-width:800px){
    .depoimentos{
        padding: 3rem 1rem 3rem 1rem;
    }

    .depoimentos h1{
        font-size: 2rem;
    }

    .depoimento{
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
        justify-content: center;
        align-items: center;
    }
}

/* LOCAIS A VISITAR */

section.locais{
    display: flex;
    flex-direction: column;
    padding: 4rem;
    background-color: var(--color-neutral-50);
}

.local{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.locais-inicio {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    justify-content: center;
    align-items: center;
}

.locais-inicio .quarto{
    display: flex;
    flex-direction: column;
    gap: 20px;
    min-width: 250px;
}

.locais-inicio img{
    width: 100%;
    height: auto;
}

.locais-inicio .txt{
    display: flex;
    flex-direction: column;
    border: 2px solid var(--color-neutral-20);
    padding: 20px;
    gap: 40px;
}

.locais-inicio .txt h3{
    color: var(--color-neutral-20);
    font-size: 30px;
    font-family: "Merienda", sans-serif;
}

@media screen and (max-width:1000px){
    .locais-inicio {
        display: flex;
        flex-wrap: wrap;
    }
}

@media screen and (max-width:600px){
    section.locais{
        padding: 2rem 1rem 2rem 1rem;
    }
}